Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.users.dev
Class LocalUserService

    java.lang.Object
      AbstractLocalRpcService
          com.google.appengine.api.users.dev.LocalUserService

    @ServiceProvider(value=)
    public final class LocalUserService

extends AbstractLocalRpcService

creates URLs that point to `LocalLoginServlet` and `LocalLogoutServlet` when used within the Development AppServer environment. There is a known discrepancy between this implementation and the production implementation. The production version will throw a `ApiProxy.ApplicationException` with `applicationError` set to `UserServicePb.UserServiceError.ErrorCode#REDIRECT_URL_TOO_LONG` when the url passed to `createLoginURL(Status, CreateLoginURLRequest)` or `createLogoutURL(Status, CreateLogoutURLRequest)` is too long. This implementation does not perform this check and therefore never returns this error.

Field Summary
`static java.lang.String` | `PACKAGE` The package name for this service.

Constructor Summary
`LocalUserService()`

Method Summary
`CheckOAuthSignatureResponse` | `checkOAuthSignature(Status status, CheckOAuthSignatureRequest request)`
`CreateLoginURLResponse` | `createLoginURL(Status status, CreateLoginURLRequest request)`
`CreateLogoutURLResponse` | `createLogoutURL(Status status, CreateLogoutURLRequest request)`
`GetOAuthUserResponse` | `getOAuthUser(Status status, GetOAuthUserRequest request)`
`java.lang.String` | `getPackage()`
`void` | `init(LocalServiceContext context, java.util.Map<java.lang.String,java.lang.String> properties)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PACKAGE

    public static final java.lang.String PACKAGE

  The package name for this service.

  See Also:
    Constant Field Values

Constructor Detail

### LocalUserService

    public LocalUserService()

Method Detail

### createLoginURL

    public CreateLoginURLResponse createLoginURL(Status status,
                                                 CreateLoginURLRequest request)

### createLogoutURL

    public CreateLogoutURLResponse createLogoutURL(Status status,
                                                   CreateLogoutURLRequest request)

### checkOAuthSignature

    public CheckOAuthSignatureResponse checkOAuthSignature(Status status,
                                                           CheckOAuthSignatureRequest request)

### getOAuthUser

    public GetOAuthUserResponse getOAuthUser(Status status,
                                             GetOAuthUserRequest request)

### getPackage

    public java.lang.String getPackage()

### init

    public void init(LocalServiceContext context,
                     java.util.Map<java.lang.String,java.lang.String> properties)

### start

    public void start()

### stop

    public void stop()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD